Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_list_foreach

## Name

librdf_list_foreach -- apply a function for each data item in a librdf_list

## Synopsis

``void `librdf_list_foreach`` (librdf_list* `list`, void (*`fn`) (void *, void *), void * `user_data`);`

## Arguments

`list`

  librdf_list object

`fn`

  pointer to function to apply that takes data pointer and user data parameters

`user_data`

  user data for applied function

<<< Previous | Home | Next >>>
librdf_list_get_iterator | Up | URIs